### Method

# Gtk Editable get_chars

#### Declaration [src]

    char*
    gtk_editable_get_chars (
      GtkEditable* editable,
      int start_pos,
      int end_pos
    )

#### Description [src]

Retrieves a sequence of characters.

The characters that are retrieved are those characters at positions from `start_pos` up to, but not including `end_pos`. If `end_pos` is negative, then the characters retrieved are those characters from `start_pos` to the end of the text.

Note that positions are specified in characters, not bytes.

#### Parameters

`start_pos` | `int`
| Start of text.
`end_pos` | `int`
| End of text.

#### Return value

Returns: | `char*`
| A pointer to the contents of the widget as a string. This string is allocated by the `GtkEditable` implementation and should be freed by the caller.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.